Closed Bug 689856 Opened 9 years ago Closed 5 years ago

Android tests intermittently just stop

Categories

(Testing :: General, defect)

ARM
Android
defect
Not set
normal

Tracking

(firefox16 affected, firefox17 affected, firefox18 affected, firefox19 affected)

RESOLVED INCOMPLETE
Tracking Status
firefox16 --- affected
firefox17 --- affected
firefox18 --- affected
firefox19 --- affected

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure, Whiteboard: [android_tier_1][android_tier_∞])

A horrible summary, for horrible logs. Pretty sure I've ignored this same thing in reftests at least, and possibly other suites. Equally possibly, this is the reftest/jsreftest equivalent of bug 689839, and they just die quicker.

https://tbpl.mozilla.org/php/getParsedLog.php?id=6586326&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test jsreftest-2 on 2011-09-27 21:54:52 PDT for push b4f351db9863

REFTEST TEST-START | http://10.250.48.208:30039/jsreftest/tests/jsreftest.html?test=js1_8_1/extensions/new-parenthesization.js
INFO | automation.py | Application ran for: 0:12:04.769234
INFO | automation.py | Reading PID log: /tmp/tmpaitUknpidlog
WARNING | automationutils.processLeakLog() | refcount logging is off, so leaks can't be detected!

REFTEST INFO | runreftest.py | Running tests: end.
program finished with exit code 0
elapsedTime=753.734964
TinderboxPrint: jsreftest-2<br/><em class="testfail">T-FAIL</em>
https://tbpl.mozilla.org/php/getParsedLog.php?id=6586394&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test crashtest on 2011-09-27 21:54:52 PDT for push b4f351db9863

REFTEST INFO | Loading a blank page
reconnecting socket

INFO | automation.py | Application ran for: 0:19:09.225178
INFO | automation.py | Reading PID log: /tmp/tmpCr9NaJpidlog
WARNING | automationutils.processLeakLog() | refcount logging is off, so leaks can't be detected!

REFTEST INFO | runreftest.py | Running tests: end.
program finished with exit code 0
elapsedTime=1177.916850
TinderboxPrint: crashtest<br/><em class="testfail">T-FAIL</em>
https://tbpl.mozilla.org/php/getParsedLog.php?id=6590219&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test jsreftest-2 on 2011-09-28 04:19:12 PDT for push 4d10127fd106

REFTEST TEST-START | http://10.250.48.208:30031/jsreftest/tests/jsreftest.html?test=js1_8_1/regress/regress-452498-053.js
INFO | automation.py | Application ran for: 0:11:58.997476
INFO | automation.py | Reading PID log: /tmp/tmpp1hlz8pidlog
WARNING | automationutils.processLeakLog() | refcount logging is off, so leaks can't be detected!

REFTEST INFO | runreftest.py | Running tests: end.
program finished with exit code 0
elapsedTime=750.557479
TinderboxPrint: jsreftest-2<br/><em class="testfail">T-FAIL</em>
Duplicate of this bug: 689441
https://tbpl.mozilla.org/php/getParsedLog.php?id=7653454&tree=Birch
3006 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_object02.html
reconnecting socket
3007 INFO TEST-PASS | Asize
3008 INFO TEST-PASS | Asize
3009 INFO TEST-PASS | alignLink
INFO | automation.py | Application ran for: 0:19:57.930441
INFO | automation.py | Reading PID log: /tmp/tmplmE5Fhpidlog
getting files in '/mnt/sdcard/tests/profile/minidumps/'
WARNING | automationutils.processLeakLog() | refcount logging is off, so leaks can't be detected!
Depends on: 706614
https://tbpl.mozilla.org/php/getParsedLog.php?id=7734029&tree=Birch
Android Tegra 250 birch opt test mochitest-6 on 2011-12-03 20:05:53 PST for push 1bc10492926e

2408 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLTableElement26.html
reconnecting socket
DeviceManager: error pulling file '/mnt/sdcard/tests/logs/mochitest.log': No such file or directory

INFO | automation.py | Application ran for: 0:12:38.005948
https://tbpl.mozilla.org/php/getParsedLog.php?id=7773211&tree=Birch
Android Tegra 250 birch opt test mochitest-6 on 2011-12-06 08:02:53 PST for push 884b705c99fb
3241 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_table39.html
3242 INFO TEST-PASS | Asize
3243 INFO TEST-PASS | Asize
3244 INFO TEST-PASS | summaryLink
reconnecting socket
3245 INFO TEST-END | /tests/dom/tests/mochitest/dom-level2-html/test_table39.html | finished in 1372ms
3246 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_table40.html
INFO | automation.py | Application ran for: 0:19:29.874304

https://tbpl.mozilla.org/php/getParsedLog.php?id=7773243&tree=Birch
Android Tegra 250 birch opt test mochitest-4 on 2011-12-06 08:15:53 PST for push 5d205868839c
100 INFO TEST-PASS | throw_INVALID_CHARACTER_ERR
101 INFO TEST-END | /tests/dom/tests/mochitest/dom-level2-core/test_createDocument05.html | finished in 2142ms
102 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-core/test_createDocument06.html
INFO | automation.py | Application ran for: 0:01:51.148015

https://tbpl.mozilla.org/php/getParsedLog.php?id=7756295&tree=Birch
Android Tegra 250 birch opt test mochitest-6 on 2011-12-05 10:39:53 PST for push 7b72e55cfe69
2357 INFO TEST-END | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLTableElement16.html | finished in 1621ms
2358 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLTableElement17.html
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
INFO | automation.py | Application ran for: 0:12:11.603818
https://tbpl.mozilla.org/php/getParsedLog.php?id=7828025&tree=Mozilla-Inbound
Android XUL Tegra 250 mozilla-inbound opt test mochitest-6 on 2011-12-08 08:18:35 PST for push af13b9729453

1726 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLInputElement09.html
reconnecting socket
INFO | automation.py | Application ran for: 0:19:34.003587
https://tbpl.mozilla.org/php/getParsedLog.php?id=7829565&tree=Mozilla-Inbound
Android XUL Tegra 250 mozilla-inbound opt test jsreftest-3 on 2011-12-08 09:15:55 PST for push ffa6056893ed
REFTEST TEST-START | http://10.250.48.208:30039/jsreftest/tests/jsreftest.html?test=js1_8_5/extensions/regress-691746.js | 1123 / 1127 (99%)
reconnecting socket
https://tbpl.mozilla.org/php/getParsedLog.php?id=7829509&tree=Mozilla-Inbound
Android XUL Tegra 250 mozilla-inbound opt test mochitest-4 on 2011-12-08 09:21:01 PST for push 952d14a9e508
974 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-core/test_importNode16.html
reconnecting socket
975 INFO Error: Unable to restore focus, expect failures and timeouts.
976 INFO TEST-PASS | no_throw_NOT_SUPPORTED_ERR
977 INFO TEST-END | /tests/dom/tests/mochitest/dom-level2-core/test_importNode16.html | finished in 3766ms
978 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-core/test_importNode17.html
INFO | automation.py | Application ran for: 0:11:03.073922
https://tbpl.mozilla.org/php/getParsedLog.php?id=7888567&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2011-12-12 11:20:00 PST for push 9989f0fed131
98 INFO TEST-START | /tests/dom/tests/mochitest/dom-level1-core/test_characterdatadeletedataend.html

https://tbpl.mozilla.org/php/getParsedLog.php?id=7888627&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2011-12-12 11:04:04 PST for push e67d90275715
91 INFO TEST-START | /tests/dom/tests/mochitest/dom-level1-core/test_characterdataappenddatanomodificationallowederrEE.html

https://tbpl.mozilla.org/php/getParsedLog.php?id=7888859&tree=Firefox
Android XUL Tegra 250 mozilla-central opt test mochitest-6 on 2011-12-12 11:09:16 PST for push e67d90275715
1031 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLElement52.html
https://tbpl.mozilla.org/php/getParsedLog.php?id=7891316&tree=Firefox
Android XUL Tegra 250 mozilla-central opt test mochitest-4 on 2011-12-12 13:08:52 PST for push 6057abf8f4e6
1106 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-core/test_namednodemapremovenameditemns06.html
1107 INFO Error: Unable to restore focus, expect failures and timeouts.
reconnecting socket
https://tbpl.mozilla.org/php/getParsedLog.php?id=7893375&tree=Firefox
Android XUL Tegra 250 mozilla-central opt test mochitest-6 on 2011-12-12 15:04:56 PST for push eb5d4c08a542
1714 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLInputElement07.html
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
reconnecting socket
unable to connect socket
INFO | automation.py | Application ran for: 0:19:39.506195
https://tbpl.mozilla.org/php/getParsedLog.php?id=7907273&tree=Firefox
Android XUL Tegra 250 mozilla-central opt test mochitest-6 on 2011-12-13 09:26:18 PST for push 9b7c08d602b9
1600 INFO TEST-START | /tests/dom/tests/mochitest/dom-level2-html/test_HTMLIFrameElement11.html
reconnecting socket
1601 INFO Error: Unable to restore focus, expect failures and timeouts.
INFO | automation.py | Application ran for: 0:17:53.959437
Duplicate of this bug: 689439
https://tbpl.mozilla.org/php/getParsedLog.php?id=8272698&tree=Firefox
Whiteboard: [orange][android_tier_1] → [orange][android_tier_1][android_tier_∞]